Function
readRecord
Read a BED record from a file.
The type of the parameter record decides which fields are interpreted. The remainder of the line (excluding the line break) is written to record.data.
When context is given, the rID field is filled and the context's name store may be updated if a previously unknown reference occurs.
int readRecord(record, reader[, context], Bed())
Include Headers
seqan/bed_io.h
Parameters

record | BedRecord object to write to. Types: BedRecord
reader | The Single-Pass RecordReader to use. Types: Single-Pass RecordReader
context | The optional BedIOContext to use. Types: BedRecord

Return Values
int value, 0 on success, non-0 value on errors.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57